| Tipro API Communicate with Tipro devices

Functions
BF10.h File Reference
`#include "TiproHidDevice.h"`
Include dependency graph for BF10.h:

Go to the source code of this file.

## Functions
int | TiproBF10SetLuminance (TiproHidDevice *device, int nIndex)
| Sets luminance for both stripe and LCD backlight. More...
int | TiproBF10TouchscreenDisable (TiproHidDevice *device)
| Disables touchscreen. More...
int | TiproBF10TouchscreenEnable (TiproHidDevice *device)
| Enables touchscreen. More...
int | TiproBF10SetSpeakerLevel (TiproHidDevice *device, int nLevel)
| Sets the level of the speakers. More...
int | TiproBF10GetSpeakerLevel (TiproHidDevice *device, int *nLevel)
| Returns the level of the speakers. More...
int | TiproBF10GetPTTKeyState (TiproHidDevice *device, int *nState)
| Returns the state of the PTT key. More...
int | TiproBF10SetPTTKeyLEDState (TiproHidDevice *device, int nState)
| Sets the LED state of illuminated PTT key. More...
int | TiproBF10SetPTTKeyLEDStateEx (TiproHidDevice *device, int nState, int nTBlinkOn, int nTBlinkOff)
| Sets the operation of the illuminated PTT key with more paramters. More...
int | TiproBF10GetPTTKeyLEDState (TiproHidDevice *device, int *nState)
| Returns the LED state of the illuminated PTT Key. More...
int | TiproBF10MuteMicrophone (TiproHidDevice *device, int nMute)
| Mutes/un-mutes the microphone signal. More...
int | TiproBF10SetMicrophoneLevel (TiproHidDevice *device, int nLevel)
| Sets the level of the microphone signal. More...
int | TiproBF10SetMicrophoneOptimalDistance (TiproHidDevice *device, int nDistance)
| Sets the optimal distance of the handsfree microphone signal. More...
int | TiproBF10SetMicrophoneThreshold (TiproHidDevice *device, int nThreshold)
| Sets threshold for the microphone signal. More...
int | TiproBF10SetMicrophoneCompression (TiproHidDevice *device, int nCompression)
| Sets compression for the microphone signal. More...
int | TiproBF10SetAnalogAudio (TiproHidDevice *device, int nSettings)
| Sets the Analog audio options. More...
int | TiproBF10GetAnalogAudio (TiproHidDevice *device, int *nSettings)
| Returns Analog audio options. More...
int | TiproBF10GetMicrophoneLevel (TiproHidDevice *device, int *nLevel)
| Returns the level of the microphone signal. More...
int | TiproBF10GetMicrophoneOptimalDistance (TiproHidDevice *device, int *nRange)
| Returns the optimal distance of the handsfree microphone signal. More...
int | TiproBF10GetMicrophoneThreshold (TiproHidDevice *device, int *nThreshold)
| Returns threshold for the microphone signal. More...
int | TiproBF10GetMicrophoneCompression (TiproHidDevice *device, int *nCompression)
| Returns compression for the microphone signal. More...
int | TiproBF10EnableManualMicrophoneControl (TiproHidDevice *device, int nEnable)
| Enables manual control of microphone. More...

## Detailed Description

BF10

This file includes functions for communication with BF10.

BeFREE 10 (BF10) is a touchcomputer with integrated intercom.

Tipro

suppo.nosp@m.rt@t.nosp@m.ipro..nosp@m.si

Copyright 2021

## Function Documentation

## ◆ TiproBF10EnableManualMicrophoneControl()

int TiproBF10EnableManualMicrophoneControl | ( | TiproHidDevice * | device,
|  | int | nEnable
| ) |  |

Enables manual control of microphone.

Parameters

  [in] | device | Device
  [in] | nEnable | Enable / disable manual control

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10GetAnalogAudio()

int TiproBF10GetAnalogAudio | ( | TiproHidDevice * | device,
|  | int * | nSettings
| ) |  |

Returns Analog audio options.

Parameters

  [in] | device | Device
  [out] | nSettings | Returns which analog channel is added to the output

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10GetMicrophoneCompression()

int TiproBF10GetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int * | nCompression
| ) |  |

Returns compression for the microphone signal.

Parameters

  [in] | device | Device
  [out] | nCompression | Microphone compression

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10GetMicrophoneLevel()

int TiproBF10GetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel
| ) |  |

Returns the level of the microphone signal.

Parameters

  [in] | device | Device
  [out] | nLevel | Microphone level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10GetMicrophoneOptimalDistance()

int TiproBF10GetMicrophoneOptimalDistance | ( | TiproHidDevice * | device,
|  | int * | nRange
| ) |  |

Returns the optimal distance of the handsfree microphone signal.

Parameters

  [in] | device | Device
  [out] | nRange | Microphone optimal distance

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10GetMicrophoneThreshold()

int TiproBF10GetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int * | nThreshold
| ) |  |

Returns threshold for the microphone signal.

Parameters

  [in] | device | Device
  [out] | nThreshold | Microphone threshold

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10GetPTTKeyLEDState()

int TiproBF10GetPTTKeyLEDState | ( | TiproHidDevice * | device,
|  | int * | nState
| ) |  |

Returns the LED state of the illuminated PTT Key.

Parameters

  [in] | device | Device
  [out] | nState | State of the LED (LED_ON/LED_OFF/LED_BLINK)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10GetPTTKeyState()

int TiproBF10GetPTTKeyState | ( | TiproHidDevice * | device,
|  | int * | nState
| ) |  |

Returns the state of the PTT key.

Parameters

  [in] | device | Device
  [out] | nState | State of the key (KEY_PRESSED/KEY_RELEASED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10GetSpeakerLevel()

int TiproBF10GetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel
| ) |  |

Returns the level of the speakers.

Parameters

  [in] | device | Device
  [out] | nLevel | Speaker level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10MuteMicrophone()

int TiproBF10MuteMicrophone | ( | TiproHidDevice * | device,
|  | int | nMute
| ) |  |

Mutes/un-mutes the microphone signal.

Parameters

  [in] | device | Device
  [in] | nMute | Mute/un-mute microphone

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetAnalogAudio()

int TiproBF10SetAnalogAudio | ( | TiproHidDevice * | device,
|  | int | nSettings
| ) |  |

Sets the Analog audio options.

Parameters

  [in] | device | Device
  [in] | nSettings | Select which analog channel is added to the output

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetLuminance()

int TiproBF10SetLuminance | ( | TiproHidDevice * | device,
|  | int | nIndex
| ) |  |

Sets luminance for both stripe and LCD backlight.

Parameters

  [in] | device | Device
  [in] | nIndex | Lumninance index (0-darkest; 10-brightest)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetMicrophoneCompression()

int TiproBF10SetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int | nCompression
| ) |  |

Sets compression for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nCompression | Microphone compression

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetMicrophoneLevel()

int TiproBF10SetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int | nLevel
| ) |  |

Sets the level of the microphone signal.

Parameters

  [in] | device | Device
  [in] | nLevel | Microphne level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetMicrophoneOptimalDistance()

int TiproBF10SetMicrophoneOptimalDistance | ( | TiproHidDevice * | device,
|  | int | nDistance
| ) |  |

Sets the optimal distance of the handsfree microphone signal.

Parameters

  [in] | device | Device
  [in] | nDistance | Microphone optimal distance

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetMicrophoneThreshold()

int TiproBF10SetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int | nThreshold
| ) |  |

Sets threshold for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nThreshold | Microphone threshold

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetPTTKeyLEDState()

int TiproBF10SetPTTKeyLEDState | ( | TiproHidDevice * | device,
|  | int | nState
| ) |  |

Sets the LED state of illuminated PTT key.

Parameters

  [in] | device | Device
  [in] | nState | State of the LED (LED_ON/LED_OFF/LED_BLINK)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetPTTKeyLEDStateEx()

int TiproBF10SetPTTKeyLEDStateEx | ( | TiproHidDevice * | device,
|  | int | nState,
|  | int | nTBlinkOn,
|  | int | nTBlinkOff
| ) |  |

Sets the operation of the illuminated PTT key with more paramters.

Parameters

  [in] | device | Device
  [in] | nState | State of the LED (LED_ON/LED_OFF/LED_BLINK)
  [in] | nTBlinkOn | On period for blink mode (ms)
  [in] | nTBlinkOff | Off period for blink mode (ms)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10SetSpeakerLevel()

int TiproBF10SetSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nLevel
| ) |  |

Sets the level of the speakers.

Parameters

  [in] | device | Device
  [in] | nLevel | Speaker level

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10TouchscreenDisable()

int TiproBF10TouchscreenDisable | ( | TiproHidDevice * | device | ) |

Disables touchscreen.

Parameters

  [in] | device | Device

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF10TouchscreenEnable()

int TiproBF10TouchscreenEnable | ( | TiproHidDevice * | device | ) |

Enables touchscreen.

Parameters

  [in] | device | Device

Returns
  Command status: 0-OK, else error code